javax.persistence

## Annotation Type NamedEntityGraph

    @Repeatable(value=NamedEntityGraphs.class)
     @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface NamedEntityGraph

Used to specify the path and boundaries for a find operation or query.

Since:
  Java Persistence 2.1

### Optional Element Summary

Optional Elements
`NamedAttributeNode[]` `attributeNodes` (Optional) A list of attributes of the entity that are included in this graph.
`boolean` `includeAllAttributes` (Optional) Includes all of the attributes of the annotated entity class as attribute nodes in the NamedEntityGraph without the need to explicitly list them.
`java.lang.String` `name` (Optional) The name of the entity graph.
`NamedSubgraph[]` `subclassSubgraphs` (Optional) A list of subgraphs that will add additional attributes for subclasses of the annotated entity class to the entity graph.
`NamedSubgraph[]` `subgraphs` (Optional) A list of subgraphs that are included in the entity graph.

### Element Detail

#### name

    public abstract java.lang.String name

(Optional) The name of the entity graph. Defaults to the entity name of the root entity.

Default:
  ""

#### attributeNodes

    public abstract NamedAttributeNode[] attributeNodes

(Optional) A list of attributes of the entity that are included in this graph.

Default:
  {}

#### includeAllAttributes

    public abstract boolean includeAllAttributes

(Optional) Includes all of the attributes of the annotated entity class as attribute nodes in the NamedEntityGraph without the need to explicitly list them. Included attributes can still be fully specified by an attribute node referencing a subgraph.

Default:
  false

#### subgraphs

    public abstract NamedSubgraph[] subgraphs

(Optional) A list of subgraphs that are included in the entity graph. These are referenced by name from NamedAttributeNode definitions.

Default:
  {}

#### subclassSubgraphs

    public abstract NamedSubgraph[] subclassSubgraphs

(Optional) A list of subgraphs that will add additional attributes for subclasses of the annotated entity class to the entity graph. Specified attributes from superclasses are included in subclasses.

Default:
  {}